yp_match
yp_order
Fonctions YP/NIS
PHP Manual

# yp_next

(PHP 4, PHP 5 <= 5.0.5)

yp_next — Retourne la paire clé/valeur suivante d'une carte donnée

### Description

array yp_next ( string `$domain` , string `$map` , string `$key` )

Retourne la prochaine paire clé/valeur de la carte `map` après la clé `key` spécifiée.

### Liste de paramètres

`domain`

`map`

`key`

### Valeurs de retour

Retourne la prochaine paire clé/valeur en tant que tableau, ou `FALSE` si une erreur survient.

### Exemples

Exemple #1 Exemple avec yp_next()

`<?php
$entry = yp_next($domain, "passwd.byname", "joe");
if (!$entry) {
echo "Plus d'autres entrées.\n";
echo "<!--" . yp_errno() . ": " . yp_err_string() . "-->";
}
$key = key($entry);
echo "L'entrée suivante après \"joe\" a la clé " . $key
. " et la valeur " . $entry[$key];
?>`

### Voir aussi

- yp_first()
- yp_get_default_domain()

yp_match
yp_order
Fonctions YP/NIS
PHP Manual